apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.254.33.143/22"],"mac_address":"0a:58:0a:fe:21:8f","gateway_ips":["10.254.32.1"],"routes":[{"dest":"10.254.0.0/16","nextHop":"10.254.32.1"},{"dest":"172.30.0.0/16","nextHop":"10.254.32.1"},{"dest":"169.254.0.5/32","nextHop":"10.254.32.1"},{"dest":"100.64.0.0/16","nextHop":"10.254.32.1"}],"ip_address":"10.254.33.143/22","gateway_ip":"10.254.32.1","role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.254.33.143"
          ],
          "mac": "0a:58:0a:fe:21:8f",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: privileged
  creationTimestamp: "2025-02-14T13:33:25Z"
  generateName: submariner-lighthouse-coredns-7c7cd677bb-
  labels:
    app: submariner-lighthouse-coredns
    component: submariner-lighthouse
    pod-template-hash: 7c7cd677bb
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"e881eab5-b782-4be9-b894-79a9f49f47ad"}: {}
      f:spec:
        f:containers:
          k:{"name":"submariner-lighthouse-coredns"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"SUBMARINER_CLUSTERID"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources: {}
            f:securityContext:
              .: {}
              f:allowPrivilegeEscalation: {}
              f:capabilities:
                .: {}
                f:add: {}
                f:drop: {}
              f:readOnlyRootFilesystem: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/coredns"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:volumes:
          .: {}
          k:{"name":"config-volume"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:name: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-02-14T13:33:25Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: worker2.rdr-blue-site-svl-2.cp.fyre.ibm.com
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:25Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
    manager: multus-daemon
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:26Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.254.33.143"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:27Z"
  name: submariner-lighthouse-coredns-7c7cd677bb-9s6ks
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: submariner-lighthouse-coredns-7c7cd677bb
    uid: e881eab5-b782-4be9-b894-79a9f49f47ad
  resourceVersion: "80074528"
  uid: dafe42ba-c986-409d-a2b3-56569ce3d34d
spec:
  containers:
  - args:
    - -conf
    - /etc/coredns/Corefile
    env:
    - name: SUBMARINER_CLUSTERID
      value: rdr-blue-site-svl-2
    image: quay.io/submariner/lighthouse-coredns:0.19.0
    imagePullPolicy: IfNotPresent
    name: submariner-lighthouse-coredns
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        add:
        - net_bind_service
        drop:
        - all
      readOnlyRootFilesystem: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/coredns
      name: config-volume
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-ct4zv
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: submariner-lighthouse-coredns-dockercfg-69nz5
  nodeName: worker2.rdr-blue-site-svl-2.cp.fyre.ibm.com
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: submariner-lighthouse-coredns
  serviceAccountName: submariner-lighthouse-coredns
  terminationGracePeriodSeconds: 0
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - configMap:
      defaultMode: 420
      items:
      - key: Corefile
        path: Corefile
      name: submariner-lighthouse-coredns
    name: config-volume
  - name: kube-api-access-ct4zv
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:27Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:25Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:27Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:27Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:25Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://bcc2199d6f972526a520b485e89ccbc47a0b71f9c63203d975c1f850cb5f6c76
    image: quay.io/submariner/lighthouse-coredns:0.19.0
    imageID: quay.io/submariner/lighthouse-coredns@sha256:22ae18f86927534ccd318b3bfb8d0967935e85e113a74a12ee7d5b841d8c742d
    lastState: {}
    name: submariner-lighthouse-coredns
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-02-14T13:33:26Z"
  hostIP: 10.17.86.255
  hostIPs:
  - ip: 10.17.86.255
  phase: Running
  podIP: 10.254.33.143
  podIPs:
  - ip: 10.254.33.143
  qosClass: BestEffort
  startTime: "2025-02-14T13:33:25Z"
